commit: d988d53ab67a23609b7d4f180431211a9be7215b
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 12 21:41:07 2017 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Jun 21 19:02:29 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d988d53a
media-video/mpv: Simplify REQUIRED_USE
Replace the redundant '!cli? ( libmpv )' inside ||. Per the initial
'|| ( cli libmpv )', if the cli flag is disabled, libmpv is always
enabled. It is therefore unnecessary to check both flags. Removing
USE-conditional groups from || makes it possible for the REQUIRED_USE
to be solved and verified using a simpler algorithm.
media-video/mpv/mpv-0.25.0-r1.ebuild | 2 +-
media-video/mpv/mpv-9999.ebuild | 2 +-
2 files changed, 2 insertions(+), 2 deletions(-)
diff --git a/media-video/mpv/mpv-0.25.0-r1.ebuild
b/media-video/mpv/mpv-0.25.0-r1.ebuild
index 0bab14bcdf5..6030435b78e 100644
--- a/media-video/mpv/mpv-0.25.0-r1.ebuild
+++ b/media-video/mpv/mpv-0.25.0-r1.ebuild
@@ -45,7 +45,7 @@ REQUIRED_USE="
gbm? ( drm egl opengl )
lcms? ( opengl )
luajit? ( lua )
- opengl? ( || ( aqua egl X raspberry-pi !cli? ( libmpv ) ) )
+ opengl? ( || ( aqua egl X raspberry-pi !cli ) )
raspberry-pi? ( opengl )
test? ( opengl )
tools? ( cli )
diff --git a/media-video/mpv/mpv-9999.ebuild b/media-video/mpv/mpv-9999.ebuild
index 51104143d76..495c3b58b02 100644
--- a/media-video/mpv/mpv-9999.ebuild
+++ b/media-video/mpv/mpv-9999.ebuild
@@ -41,7 +41,7 @@ REQUIRED_USE="
gbm? ( drm egl opengl )
lcms? ( opengl )
luajit? ( lua )
- opengl? ( || ( aqua egl X raspberry-pi !cli? ( libmpv ) ) )
+ opengl? ( || ( aqua egl X raspberry-pi !cli ) )
raspberry-pi? ( opengl )
test? ( opengl )
tools? ( cli )